RCS "$Id: Var.sig,v 1.6 1998/08/13 11:35:13 pxs Exp $";
(************************************ Var ************************************)
(*                                                                           *)
(*  This is the definitions of "Variables".           Joachim Parrow Sept-86 *)
(*                                                                           *)
(*****************************************************************************)

signature VAR =
sig
   type var

   val mkvar : string -> var
   val mkstr : var -> string

   val eq    : var * var -> bool
(* alphabetical order by name: user-friendly, not fast *)
   val le    : var * var -> bool
   val compare : var * var -> General.order
     
   val hashval : var -> word
end

