RCS "$Id: TranslateModality.sig,v 1.5 1998/08/13 11:38:56 pxs Exp $";
(* signature for the module that translates modalities in the big *)
(* logic to ones in the small logic by looking up the sets.       *)
signature TRANSLATE_MODALITY =
  sig
    structure ModalityComplex : MODALITY_COMPLEX
    structure Modality : MODALITY
    val translate: ModalityComplex.A.act list E.env
      -> ModalityComplex.modality
      -> Modality.modality
    val inject: ModalityComplex.modality -> Modality.modality
  end
